<?php
/*  cms-db  Copyright (C) 2007-2008 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */

function createTopMenu($urlbefore, $urlafter, $sec, $sub, $file) {
  echo '<ul class="topmenu">';
  $ordner = "data";
  $handle = opendir($ordner);
  while (false !== ($file = readdir($handle))) {
    if($file != "." && $file != "..") {
      $pos = strpos($file, ".DEL");
      if ($pos === false) {
        if(is_dir($ordner."/".$file)) {
          $files[] = $file;
        }
      }
    }
  }
  natcasesort($files);
  $replace1 = array('%2F','%2C');
  $replace2 = array('/',',');
  foreach($files as $file) {
    $show = substr($file, 3);
    $show = str_replace("_"," ",$show);
    $show = str_replace("SLASH","/",$show);
    $show = str_replace("AND" ,"&", $show);
    if($sec != $file) {
      echo '<li><a href="'.$urlbefore.str_replace($replace1, $replace2, urlencode(substr($ordner,4))).'/'.str_replace($replace1, $replace2, urlencode($file)).'/01,Home'.$urlafter.'" class="topinactive">'.htmlentities($show,ENT_QUOTES).'</a></li>';
    } else {
      echo '<li><a href="'.$urlbefore.str_replace($replace1, $replace2, urlencode(substr($ordner,4))).'/'.str_replace($replace1, $replace2, urlencode($file)).'/01,Home'.$urlafter.'" class="topactive">'.htmlentities($show,ENT_QUOTES).'</a></li>';
    }
  }
  closedir($handle);
  echo '</ul>';
}

function createLeftMenu($urlbefore, $urlafter, $sec, $sub, $file) {
  echo '<ul class="leftmenu">';
  $ordner = substr($file, 0, -strlen($sub)-1);
  $handle = opendir($ordner);
  while (false !== ($file = readdir($handle))) {
    if($file != "." && $file != "..") {
      $pos = strpos($file, ".DEL");
      if ($pos === false) {
        $files[] = $file;
      }
    }
  }
  natcasesort($files);
  $replace1 = array('%2F','%2C');
  $replace2 = array('/',',');
  foreach($files as $file) {
    $show = substr($file, 3);
    $show = str_replace("_"," ",$show);
    $show = str_replace("SLASH","/",$show);
    $show = str_replace("AND" ,"&", $show);
    if($sub != $file) {
      if(is_dir($ordner."/".$file)) {
        echo '<li><a href="'.$urlbefore.str_replace($replace1, $replace2, urlencode(substr($ordner,4))).'/'.str_replace($replace1, $replace2, urlencode($file)).'/01,Home'.$urlafter.'" class="leftinactive">'.htmlentities($show,ENT_QUOTES).'</a></li>';
      } else {
        echo '<li><a href="'.$urlbefore.str_replace($replace1, $replace2, urlencode(substr($ordner,4))).'/'.str_replace($replace1, $replace2, urlencode($file)).$urlafter.'" class="leftinactive">'.htmlentities($show,ENT_QUOTES).'</a></li>';
      }
    } else {
      if(is_dir($ordner."/".$file)) {
        echo '<li><a href="'.$urlbefore.str_replace($replace1, $replace2, urlencode(substr($ordner,4))).'/'.str_replace($replace1, $replace2, urlencode($file)).'/01,Home'.$urlafter.'" class="leftactive">'.htmlentities($show,ENT_QUOTES).'</a></li>';
      } else {
        echo '<li><a href="'.$urlbefore.str_replace($replace1, $replace2, urlencode(substr($ordner,4))).'/'.str_replace($replace1, $replace2, urlencode($file)).$urlafter.'" class="leftactive">'.htmlentities($show,ENT_QUOTES).'</a></li>';
      }
    }
  }
  closedir($handle);
  echo '</ul>';
}

function createSitemap($urlbefore, $urlafter, $ordner, $count = 0, $sub = FALSE) {
  $vorhanden = 0;
  $handle = opendir($ordner);
  while (false !== ($file = readdir($handle))) {
    if($file != "." && $file != "..") {
      $pos = strpos($file, ".DEL");
      if ($pos === false) {
        if(is_dir($ordner."/".$file)) {
          $dirs[] = $ordner."/".$file;
		  $vorhanden = 1;
        } else {
		  if ($file != '01,Home') {
		    $files[] = $file;
			$vorhanden = 1;
		  }
        }
      }
    }
  }
  if ($vorhanden == 1) {
    echo '<ul class="sitemap'.$count.'">';
  }
  $replace1 = array('%2F','%2C');
  $replace2 = array('/',',');
  if($dirs) {
    natcasesort($dirs);
    foreach($dirs as $dir) {
      $file = str_replace($ordner."/","",$dir);
      $show = substr($file, 3);
      $show = str_replace("_"," ",$show);
      $show = str_replace("SLASH","/",$show);
      $show = str_replace("AND" ,"&", $show);
      echo '<li class="dirli'.$count.'"><a href="'.$urlbefore.str_replace($replace1, $replace2, urlencode(substr($ordner,4))).'/'.str_replace($replace1, $replace2, urlencode($file)).'/01,Home'.$urlafter.'" class="dirlink'.$count.'">'.htmlentities($show,ENT_QUOTES).'</a>';
      createSitemap($urlbefore, $urlafter, $dir, $count+1, TRUE, $file);
	  echo '</li>';
    }
  }
  if($files) {
    natcasesort($files);
    foreach ($files as $file) {
      $show = substr($file, 3);
      $show = str_replace("_"," ",$show);
      $show = str_replace("SLASH","/",$show);
      $show = str_replace("AND" ,"&", $show);
      $pos = strpos($file, ".DEL");
      echo '<li class="fileli'.$count.'"><a href="'.$urlbefore.str_replace($replace1, $replace2, urlencode(substr($ordner,4))).'/'.str_replace($replace1, $replace2, urlencode($file)).$urlafter.'" class="filelink'.$count.'">'.htmlentities($show,ENT_QUOTES).'</a></li>';
    }
  }
  closedir($handle);
  if ($vorhanden == 1) {
    echo '</ul>';
  }
}

function createCompleteMenu($urlbefore, $urlafter, $ordner, $sec, $sub, $count = 0) {
  $vorhanden = 0;
  $handle = opendir($ordner);
  while (false !== ($file = readdir($handle))) {
    if($file != "." && $file != "..") {
      $pos = strpos($file, ".DEL");
      if ($pos === false) {
        if(is_dir($ordner."/".$file)) {
          $dirs[] = $ordner."/".$file;
		  $vorhanden = 1;
        } else {
		  if ($file != '01,Home') {
		    $files[] = $file;
			$vorhanden = 1;
		  }
        }
      }
    }
  }
  if ($vorhanden == 1) {
    echo '<ul class="menu'.$count.'">';
  }
  $replace1 = array('%2F','%2C');
  $replace2 = array('/',',');
  if($dirs) {
    natcasesort($dirs);
    foreach($dirs as $dir) {
      $file = str_replace($ordner."/","",$dir);
      $show = substr($file, 3);
      $show = str_replace("_"," ",$show);
      $show = str_replace("SLASH","/",$show);
      $show = str_replace("AND" ,"&", $show);
      if ($sec == $file && $sub == "01,Home") {
        echo '<li><a href="'.$urlbefore.str_replace($replace1, $replace2, urlencode(substr($ordner,4))).'/'.str_replace($replace1, $replace2, urlencode($file)).'/01,Home'.$urlafter.'" class="active'.$count.'">'.htmlentities($show,ENT_QUOTES).'</a>';
      } else {
        echo '<li><a href="'.$urlbefore.str_replace($replace1, $replace2, urlencode(substr($ordner,4))).'/'.str_replace($replace1, $replace2, urlencode($file)).'/01,Home'.$urlafter.'" class="inactive'.$count.'">'.htmlentities($show,ENT_QUOTES).'</a>';
      }
      createCompleteMenu($urlbefore, $urlafter, $dir, $sec, $sub, $count+1);
	  echo '</li>';
    }
  }
  if($files) {
    natcasesort($files);
    foreach ($files as $file) {
      $show = substr($file, 3);
      $show = str_replace("_"," ",$show);
      $show = str_replace("SLASH","/",$show);
      $show = str_replace("AND" ,"&", $show);
      $pos = strpos($file, ".DEL");
      if ($sub != $file) {
        echo '<li><a href="'.$urlbefore.str_replace($replace1, $replace2, urlencode(substr($ordner,4))).'/'.str_replace($replace1, $replace2, urlencode($file)).$urlafter.'" class="inactive'.$count.'">'.htmlentities($show,ENT_QUOTES).'</a></li>';
      } else {
        echo '<li><a href="'.$urlbefore.str_replace($replace1, $replace2, urlencode(substr($ordner,4))).'/'.str_replace($replace1, $replace2, urlencode($file)).$urlafter.'" class="active'.$count.'">'.htmlentities($show,ENT_QUOTES).'</a></li>';
      }
    }
  }
  closedir($handle);
  if ($vorhanden == 1) {
    echo '</ul>';
  }
}

function createFoldingMenu($urlbefore, $urlafter, $ordner, $sec, $sub, $top, $count = 0, $force_folding = false) {
  $vorhanden = 0;
  $handle = opendir($ordner);
  while (false !== ($file = readdir($handle))) {
    if($file != "." && $file != "..") {
      $pos = strpos($file, ".DEL");
      if ($pos === false) {
        if(is_dir($ordner."/".$file)) {
          $dirs[] = $ordner."/".$file;
		  $vorhanden = 1;
        } else {
		  if ($file != '01,Home') {
		    $files[] = $file;
			$vorhanden = 1;
		  }
        }
      }
    }
  }
  if ($vorhanden == 1) {
    echo '<ul class="menu'.$count.'">';
  }
  $replace1 = array('%2F','%2C');
  $replace2 = array('/',',');
  if($dirs) {
    natcasesort($dirs);
    foreach($dirs as $dir) {
      if ($count == 0) {
        $force_folding = false;
      }
      $file = str_replace($ordner."/","",$dir);
      $show = substr($file, 3);
      $show = str_replace("_"," ",$show);
      $show = str_replace("SLASH","/",$show);
      $show = str_replace("AND" ,"&", $show);
      if (($sec == $file && $sub == "01,Home") OR $top == $file) {
        echo '<li><a href="'.$urlbefore.str_replace($replace1, $replace2, urlencode(substr($ordner,4))).'/'.str_replace($replace1, $replace2, urlencode($file)).'/01,Home'.$urlafter.'" class="active'.$count.'">'.htmlentities($show,ENT_QUOTES).'</a>';
      } else {
        echo '<li><a href="'.$urlbefore.str_replace($replace1, $replace2, urlencode(substr($ordner,4))).'/'.str_replace($replace1, $replace2, urlencode($file)).'/01,Home'.$urlafter.'" class="inactive'.$count.'">'.htmlentities($show,ENT_QUOTES).'</a>';
      }
	  if ($top == $file OR $force_folding == true) {
        createFoldingMenu($urlbefore, $urlafter, $dir, $sec, $sub, $top, $count+1, $force_folding = true);
	  }
	  echo '</li>';
    }
  }
  if($files) {
    natcasesort($files);
    foreach ($files as $file) {
      $show = substr($file, 3);
      $show = str_replace("_"," ",$show);
      $show = str_replace("SLASH","/",$show);
      $show = str_replace("AND" ,"&", $show);
      $pos = strpos($file, ".DEL");
      if ($sub != $file) {
        echo '<li><a href="'.$urlbefore.str_replace($replace1, $replace2, urlencode(substr($ordner,4))).'/'.str_replace($replace1, $replace2, urlencode($file)).$urlafter.'" class="inactive'.$count.'">'.htmlentities($show,ENT_QUOTES).'</a></li>';
      } else {
        echo '<li><a href="'.$urlbefore.str_replace($replace1, $replace2, urlencode(substr($ordner,4))).'/'.str_replace($replace1, $replace2, urlencode($file)).$urlafter.'" class="active'.$count.'">'.htmlentities($show,ENT_QUOTES).'</a></li>';
      }
    }
  }
  closedir($handle);
  if ($vorhanden == 1) {
    echo '</ul>';
  }
}

function PageCount($file) {
	$filename = str_replace("SLASH","SCHRAEG",$file);
	$filename = str_replace("/","SLASH",$filename);
	if (file_exists('counter/'.$filename)) {
		$handle = fopen('counter/'.$filename, "r+");
		$count = fread($handle, 1024);
		$count++;
		rewind($handle);
		fwrite($handle, $count);
		fclose($handle);
		echo $count;
	} else {
		$handle = fopen('counter/'.$filename, "w+");
		fwrite($handle, "1");
		fclose($handle);
		echo "1";
	}
}
?>